PHP CakePHP Framework - plugin detail

Support for CakePHP Framework.

NetBeans Plugin - PHP CakePHP Framework
Plugin owner: junichi11
Website: https://github.com/junichi11/cakephp-netbeans
Added: 2012-09-11
License: CDDL-GPL-2-CP
Category: Programming Languages
Downloaded: 22,868 times
Rating:
 4.66, by 18 users

Plugin Log Show log

Versions available

Download plugin   Download size: 0.23 MB   Last Update: 2014-04-05

This plugin is also available on the NetBeans Plugin Portal Update Center. Use 'Tools > Plugins' action from the NetBeans IDE main menu for convenient installation of this plugin


What's new in this version



Verifications for NetBeans versions

8.0 verification PASSED See verification details
Download plugin   Download size: 0.22 MB   Last Update: 2014-03-04

This plugin is also available on the NetBeans Plugin Portal Update Center. Use 'Tools > Plugins' action from the NetBeans IDE main menu for convenient installation of this plugin


What's new in this version

  • remove ViewPath toolbar


Verifications for NetBeans versions

7.4 verification PASSED See verification details
Download plugin   Download size: 0.18 MB   Last Update: 2013-10-11

This plugin is also available on the NetBeans Plugin Portal Update Center. Use 'Tools > Plugins' action from the NetBeans IDE main menu for convenient installation of this plugin


What's new in this version

Works on only NetBeans7.3
  • code generate (NetBeans 7.3+, CakePHP 2.x)
  • improve code completion for image($this->Html->image())
  • add setting for ignoring tmp directory
  • improve actions menu
  • add run action action
  • create new project with local zip file
  • add new option (ignore tmp directory with default)
  • early support for CakePHP3.0
  • improve go to actions (smart go to)
  • add code completion for render and extend methods
  • support for code completion for AppController fields


Verifications for NetBeans versions

7.3 verification PASSED See verification details
Download plugin   Download size: 0.11 MB   Last Update: 2013-02-11

This plugin is also available on the NetBeans Plugin Portal Update Center. Use 'Tools > Plugins' action from the NetBeans IDE main menu for convenient installation of this plugin


What's new in this version

latest version(plugin portal)

0.6.20

features

  • Create new CakePHP project
  • Go to View / Action action
  • Code Completion
  • Install plugin action
  • Clear cache action
  • Display file path
  • Run cake commands
  • Format for CakePHP (v0.6.8) Please, see the README.md on the github
  • Go to element file from view file
  • Display and change debug level
  • Custom app directory name
  • Check Default action
  • Image and element code completion
  • PHPUnit Test Init action(Support for only CakePHP2.x)
  • Create Test with bake action(Support for only CakePHP2.x)
more... see github


Verifications for NetBeans versions

7.2 verification PASSED See verification details


Introduction

Provides support for CakePHP Framework.

Issues

Please submit to github issue if you have some issues.

Screencast

History

  • 0.6.12 : fix #4
  • 0.6.14 : fix #3
  • 0.6.15 : add Check Default action
  • 0.6.16 : image and element code completion
  • 0.6.17 : add webroot node #6 and PHPUnit Test Init action
  • 0.6.18 : fix override test file problem
  • 0.6.19 : fix #8
  • 0.6.20 : a few refactoring
  • 0.8 : change for NetBenas7.3 RC2
  • 0.8.1 : add code generator (NetBeans 7.3+, CakePHP 2.x) #12
  • 0.8.2 : improve code completion for image($this->Html->image())
  • 0.8.3 : add code completion for css, script($this->Html->css(), script() can't provide support for using array parameter yet), $this->fetch(): only defalt params
  • 0.8.5 : improve code completion for assets path
  • 0.8.6 : Add RunAction action #16, Display the version on status bar#17, setting for ignoring tmp directory #19, Create new project with local zip #20, improve action menu
  • 0.8.7 : fix a bug
  • 0.8.8 : add ignore tmp directory option for default
  • 0.9.0 : early support for CakePHP3.0 #35, improve go to actions (smart go to) #38 #42 #43, add code completion for render and extend methods #41, fix bugs #37 #39 #44 #45 #46
  • 0.9.1 : fix a bug #47
  • 0.9.2 : improvement for code completion #50,fix a bug #52
  • 0.9.4 : improvement for project property #55
  • 0.9.5 : fix a bug #58
  • 0.9.6 : fix some issues
  • 0.9.7 : Support for directory structure with installing Composer
  • 0.9.8 : Fix InitTest action, lowercase directory name problem in Mac
  • 0.10.0 : add code templates, e.t.c.
  • 0.10.1 : 0.10.1 (Fix a bug)
  • 0.11.0 : 0.11.0 (Changes for NetBeans8.0)
  • 0.12.0 : 0.12.0

Screenshots

netbeans-cakephp-plugin-cake-version-with-status-bar

[ You have to be logged in to be able to comment. ]

User Comments

  

RE: run cake commands not function

Hi pmi,

Did you try to search it in github issues?
e.g. Please have a look at [1]

Probably, date_default_timezone_set() will be not set. (if so, please check app/Config/core.php or php.ini)

[1] https://github.com/junichi11/cakephp-netbeans/issues/31#issuecomment-17400867

Thanks.
Posted by junichi11 on Apr 03, 2014
  

run cake commands not function

Hi,
I have netbeans 8.0 and when opening "Run cake Commands" there is this error:
"There is no command available (perhaps error?)"
Posted by pmi on Apr 03, 2014
  

RE: Need good reading resource to extend Netbeans editor

Hi,

Probably, I think that you should ask @geertjan that than me because he is expert ;)

Thanks.
Posted by junichi11 on Mar 22, 2014
  

Need good reading resource to extend Netbeans editor

Hi,
Can you point me to good learning material following which I can kick start my self developing plugins to extend netbeans editor like you guys did.

I have done basic reading from the NB platform, also followed some tuts. But I'm still not confident enough to do something.


Regards,
Posted by jeykeu on Mar 22, 2014
  

RE: Goto view, model, and post don't work.

Thanks for reporting it.
Could you submit it with detail your steps and information to github issue tracker[1]?

[1]https://github.com/junichi11/cakephp-netbeans/issues?state=open

Thanks.
Posted by junichi11 on Mar 03, 2014
  

Goto view, model, and post don't work.

In Netbeans IDE 7.4 and the plugin version 0.10.0.
Posted by saidbakr on Mar 03, 2014
  

RE: Dependancy of composer

I found the module in http://dlc.sun.com.edgesuite.net/netbeans/updates/7.4/uc/final/distribution/patch2/php/

and now it's good
Posted by cameleonhelp on Feb 04, 2014
  

RE: Dependancy of composer

If you want a old version nbm, please check the following:

https://github.com/junichi11/cakephp-netbeans/releases
Posted by junichi11 on Feb 03, 2014
  

RE: Dependancy of composer

I can't in my job, i download it at home and update it i do it this night
Posted by cameleonhelp on Feb 03, 2014
  

RE: Dependancy of composer

Hi,

It seems that you don't update NetBeans IDE.(Help > Check Update)
Did you update it?

Thanks.
Posted by junichi11 on Feb 03, 2014
  

Dependancy of composer

Hi,

when i want to install the 0.10.0 on netbeans 7.4 i have an error with Composer witch is not in good version (wanted 0.13.2 an he find 0.13.1) i search in the plugin but i don't find him where to find him to install the new version

Message in french "Le module d'extension Composer est demandé dans la version >= 0.13.2 mais seule la version 0.13.1 a été trouvée."
Posted by cameleonhelp on Feb 03, 2014
  

RE: Bug - Netbeans Freezes

Hi fusca,

Thanks for reporting it.
Could you submit it to github issue tracker with detail information(e.g. plugin version number, your steps, e.t.c)?
Posted by junichi11 on Jan 16, 2014
  

Bug - Netbeans Freezes

Hi! When I activate the plugin and restart the IDE the find-function freeze netbeans 7.4. This problem is at my vista-desktop at work and my kubuntu-desktop.
Posted by fusca on Jan 16, 2014
  

RE: Does not appear in installed plugin list

Please wait a while.
I have not fixed an issue for an Action(Init Test) yet.
I'll fix with 0.9.8. If you want to get the update, please watch github repository.
I'm sorry for inconvenience.

One note: You can get version 0.9.6 for NB7.4. Perhaps, it works fine except for the above issue.

Thanks.
Posted by junichi11 on Nov 07, 2013
  

Does not appear in installed plugin list

Hi,
when it will be available in the plugin?
I installed the version for the NB7.4 platform and I don't see the plugin in the installed plugin list.
Posted by pmi on Nov 07, 2013
  

Re: Does not appear in installed plugin list

Hi,

Other plugins also be shown only detail list. This is correct.

Thanks.
Posted by junichi11 on Oct 21, 2013
  

Re: Does not appear in installed plugin list

It does show up in the detail list. But not other wise
Posted by manikantannaren on Oct 21, 2013
  

Does not appear in installed plugin list

Hi,
I installed the version for the NB7.4 platform and I don't see the plugin in the installed plugin list.
Posted by manikantannaren on Oct 21, 2013
  

Re

No problem :)

Thanks for your verification!
Posted by junichi11 on Oct 12, 2013
  

Re

My bad, I effectively downloaded the wrong version.
Sorry for the false alarm :)
Posted by ent38 on Oct 12, 2013
  

RE: Plugin Validation problem

Hi,
Probably, I think that you downloaded a nbm for NB7.4.

I downloaded it and I have confirmed that (the same message).

Could you try to confirm file name of nbm?
If it is for NB7.4, file name is 1381475566_org-cakephp-netbeans-0.9.6-for-nb74.nbm.

I have not requested verification for NB7.4 yet :)

Thanks.
Posted by junichi11 on Oct 12, 2013
  

Plugin Validation problem

Hi,
the latest version can't be installed on NB 7.3. I got this message:

Some plugins require plugin Editor Library 2 to be installed.
The plugin Editor Library 2 is requested in implementation version 43. The following plugin is affected:       PHP CakePHP Framework

I guess you wanted to ask validation for NB 7.4?
Thx.
Posted by ent38 on Oct 12, 2013
  

RE: 0.9.4 for 7.4

@ cameleonhelp

I have updated version number to 0.9.6 for NB74.
But please notice that a few problem exist yet.

Thanks.
Posted by junichi11 on Oct 11, 2013
  

RE: 0.9.4 for 7.4

Sorry, plugin has a few problem. I would like to fix them with new version. Then 7.4 is not stable yet. So, I did not upload (and request verification) it.

Please wait a while.

Thanks.
Posted by junichi11 on Oct 08, 2013
  

0.9.4 for 7.4

Is it normal for the 7.4 the plugin is not 0.9.5 but 0.9.4
Posted by cameleonhelp on Oct 08, 2013
  

RE: CakePHP on NB7.4 Beta

I have uploaded a new nbm for NB7.4 beta to the following:

https://bitbucket.org/junichi11/cakephp-netbeans/downloads

Please try to download it ;)
Thanks.
Posted by junichi11 on Aug 26, 2013
  

RE: CakePHP on NB7.4 Beta

Sorry, Please wait a while...
We can't upload a new nbm for NB7.4 yet on Plugin Portal.
And perhaps, plugin needs some changes.
If I create a new nbm for NB7.4 beta, I'll upload it to the below:
https://bitbucket.org/junichi11/cakephp-netbeans/downloads
Maybe, file name will be like this : org-cakephp-netbeans-0.9.*-for-nb74beta.nbm
(I can't promise to upload it soon.)

Thanks.
Posted by junichi11 on Aug 05, 2013
  

CakePHP on NB7.4 Beta

I downloaded the nbm and tried installing it using the plugin mananager.
When I click install, the next button is disabled and the message says

"Plugin Editor Library 2 is requested in Implementation 40
The following plugin is affected
PHP CakePHP framework"

What else do I need to do?
Posted by manikantannaren on Aug 05, 2013
  

RE: Run command error failed to load php_xdebug-2.2.0-5.4-vc9.dll

Ummm, I'm not sure whether this is plugin's problem.

Please try to submit your detail steps to github issues tracker.

Thanks.
Posted by junichi11 on Jul 24, 2013
  

Run command error failed to load php_xdebug-2.2.0-5.4-vc9.dll

In the xml file in my temp directory i find this error :

Failed loading c:/wamp/bin/php/php5.3.26/zend_ext/php_xdebug-2.2.0-5.4-vc9.dll

Is it necessary to have this ?

This is on a Windows machine but on my mac i don't think to have this dll
Posted by cameleonhelp on Jul 24, 2013
  

RE: no command available

Please try to see github closed issues.
Please submit this as a new issue if you can't resolve it.
Thanks.
Posted by junichi11 on May 20, 2013
  

no command available

Getting same issue when trying to run cake command on Linux CentOS. Tried on both NetBeans 7.2.1 and 7.3, same error on both. "There is no command available (perhaps error?)"
Posted by wsisulak on May 20, 2013
  

RE: Strange project structure in IDE??

Hi,

In case of existing source, Step4 doesn't exist. It is correct.
Perhaps, you are saying Project node has source, important file, include path, furthermore, "controllers", "models", "views", and "helpers".
They are shortcut for accessing files soon.

It is no problem if cake badge icon is displayed on your project node.

Thanks.
Posted by junichi11 on Apr 17, 2013
  

Strange project structure in IDE??

Hi
I have added my existing project to NB. As described below, there is no way to specify the Cake framework when adding existing source so I went to Project Properties and set the framework there.

However, the project folder structure looks a little odd as I have two sets of project folders for model, views controllers etc. In fact all folder in the app folder are shown at the root of the project but I also have the app folder with all the same folders below that again.

Is this correct?

Or have I setup the project wrong?

What I mean is that my project looks like this

ProjectName>
>Source Files
>app
>controllers
>models
>views
etc.....
>cake
>plugins
>vendors
>controllers
>models
>views
>helpers

so the models, views etc are in 2 places in the folder tree in my project.

Is this correct?

Thanks
Mark

Posted by mark.ogier on Apr 17, 2013
  

RE: Plugin now installed but no step 4 in new php project

Hi Mark,

In case of existing source, it is correct.
You only need to specify your CakePHP directory as a source.

Thanks.
Posted by junichi11 on Apr 07, 2013
  

Plugin now installed but no step 4 in new php project

Hi
I downloaded the plugin form here and installed it. All ok

When I create a nb project and select existing source to try to load my existing cake project, there is no step 4 in the wizard so I can't. Specify the cake framework.
Can you help pls?
Thanks
Mark
Posted by mark.ogier on Apr 07, 2013
  

Request for issues

Hi,

If you have some problems, Please submit them to github issues as much as possible.

You can receive a notice with email when I reply a comment for issue.

Thanks.
Posted by junichi11 on Apr 05, 2013
  

RE: RE: Run Cake Command Problem

Hi chemclaude,

Thanks for your answer. Directory structure is no problem.
I have tried to do it in Windows 7.
But I can't reproduce it.

Could you run bake with command line?

You are using:
[PHP]
c:\php\php.exe,
[Project]
D:\NetBeans\NetBeans Cake PHP

Please try to create a project in c:(remove space of name).

---
I think you should remove cake lib folder from global include path because I guess that same method will be showed multiple times with code completion list.
Posted by junichi11 on Apr 05, 2013
  

RE: RE: Run Cake Command Problem

Hi junichi,

*Global include path doesn't matter.
*Please tell me the followings:
*- CakePHP version

I'm using the CakePHP 2.3.1 version


*- your project tree structure

I've created a new project with NetBeans (new PHP Allication). In step 2 I've choosed "D:\NetBeans\NetBeans Cake PHP" has Source Folder. In step 3 I've set the project url as "http://localhost/nbcakephp/" and checked the copy sources checkbox to copy sources to "D:\www\nbcakephp" (D:\www is my webroot folder). In step 4 I've choosed cakePHP framework, unzipping with the 2.3.1 version.
So, I end up having in NetBeans (I've added manually the tmp folder into app folder):
php - NetBeans Cake PHP
- Source Files
+ app (I've added the tmp folder here)
+ lib
+ plugins
+ vendor
.htaccess
README.md
build.properties
build.xml
index.php
+ Test Files
+ Important Files
+ Include Path
+ Controller
+ Model
+ View
+ Helper
+ webroot

I've the same structure (only for Source Files) in d:\www\nbcakephp and d:\Netbeans\Netbeans Cake PHP.


*- project properties > Framework > CakePHP > CakePHP Directory

App foleder name: app
All Unchecked
Cake PHP Folder: D:\www\nbcakephp\





Posted by chemclaude on Apr 05, 2013
  

RE: Cannot install plug in. Error

Hi Mark,

Please download new version (0.8.7) from here(this page).

Thanks.
Posted by junichi11 on Apr 04, 2013
  

RE: Run Cake Command Problem

Hi chemclaude,

Global include path doesn't matter.
Please tell me the followings:

- CakePHP version
- your project tree structure
- project properties > Framework > CakePHP > CakePHP Directory

Thanks.
Posted by junichi11 on Apr 04, 2013
  

Cannot install plug in. Error

Hi
I just installed nb and need to use it with cake.
Using it on Mac OSX 10.8

I selected the plugins option in nb and found the cake plugin. Hit install and a message comes up saying php project extension is needed. Next button is disabled, can only cancel at that point.

Please can you help as I am very keen to get started and learn this great new tool.
Thank
Mark
Posted by mark.ogier on Apr 04, 2013
  

Run Cake Command Problem

I've installed NetBeans 7.3 and the CakePHP plugin 0.8.7 in Windows 7 OS.

I've already added the cakePHP lib folder to the Global Include Path (Tools>Options>PHP) and checked that the PHP5 interpreted is correctly set (c:\php\php5.exe).

All seems to work fine except the "CakePHP>Run Command..." option. In the new window it states "There is no command available (perhaps error)"

Any clue?

Thanks in advance
Posted by chemclaude on Apr 04, 2013
  

NetBeans 7.3 update

If you have a problem for updating with NetBeans 7.3, please download new version (0.8.7 or later).
Posted by junichi11 on Apr 02, 2013
  

For version 201302261559

I think that you are able to install also 201302261559 from v0.8.6 for plugin version.

Please try to use it.
Posted by junichi11 on Mar 27, 2013
  

For comments until now

I thought that I'll try to post comments again for all comments until now.
But I don't it because it is not easy to see.
So, please post a comment again, if you have some problems.
(As far as possible, please post to github.)

I appreciate everyone's comments.
Posted by junichi11 on Mar 25, 2013
  

RE: Run Command Error

Hi tokp,

Sorry for the late reply.
All of my comments were deleted because one of them was recognized as a spam. So, I could not post a comment...

If you have some problems with run command action, you might not set php path to PHP Option.
(Tools > Options > PHP > PHP5 Interpreter)

Please check it.
Posted by junichi11 on Mar 25, 2013
  

Run Command Error

I get this error once i try to run a command: There is no command available (perhaps error?). I see ECM had the same problem but can't see the answer he got.

Using NB 7.3
Posted by tokp on Mar 21, 2013
  

RE: problem copying file from source folder to web folder

Thanks Junichi11
It works now. but if you check to ignored the tmp folder, netbeans will not copy to the web root folder. and the cakephp will not work. is that a bug ?
So I have to check to show the tmp folder then uncheck it again.

thanks again for fixed that very soon.
Posted by harunaga on Mar 18, 2013
  

RE: problem copying file from source folder to web folder

hi, junichi11

I submitted to the github. hope that will be resolved soon.

thanks.
Posted by harunaga on Mar 18, 2013
  

problem copying file from source folder to web folder

I was running netbean 7.3 and cake framework plugin as well up to yesterday. now the problem is:
when I create a new php project which use cake framework, then I choose to copy the source folder to an other location.
every thing works fine but when run the website, I get the error :

Warning: _cake_core_ cache was unable to write 'cake_dev_en-us' to File cache in C:\xampp\htdocs\opentest\lib\Cake\Cache\Cache.php on line 309

Warning: C:\xampp\htdocs\opentest\app\tmp\cache\persistent\ is not writable in C:\xampp\htdocs\opentest\lib\Cake\Cache\Engine\FileEngine.php on line 336

Warning: C:\xampp\htdocs\opentest\app\tmp\cache\models\ is not writable in C:\xampp\htdocs\opentest\lib\Cake\Cache\Engine\FileEngine.php on line 336

Warning (512): C:\xampp\htdocs\opentest\app\tmp\cache\ is not writable [CORE\Cake\Cache\Engine\FileEngine.php, line 336]

Warning (512): _cake_core_ cache was unable to write 'cake_en-us' to File cache [CORE\Cake\Cache\Cache.php, line 309]

Warning (512): _cake_core_ cache was unable to write 'file_map' to File cache [CORE\Cake\Cache\Cache.php, line 309]

I found that the netbeans doesn't copy the tmp folder, and the tmp folder is hiden from the source directory. when I manually copy the tmp folder to the web location, it works again.
so any one please help me to solve that.
I tried to reinstall the plug in and even reinstall the netbean too but the bug is still there.
thanks.
Posted by harunaga on Mar 17, 2013
  

RE : Extension modul php project needed in 201302132200 version

Thank it's all good for me
The fr build of Netbeans 7,3 is different on mac (201302132200) and Windows (201302261559)
Posted by cameleonhelp on Mar 01, 2013
  

RE : Extension modul php project needed in 201302132200 version

I don't know how to create nbm
Posted by cameleonhelp on Mar 01, 2013
  

Extension modul php project needed in 201302132200 version

In french version of netbeans 7.3 it is impossible to install the cakephp plugin
Posted by cameleonhelp on Mar 01, 2013
  

webroot as "shortcut" - works awesome!

junichi11,

Thanks for adding the webroot shortcut! Been using it for awhile now... just forgot to thank you for adding it. So thanks again!


Posted by jwhowar1 on Feb 19, 2013
  

RE: Updating Cake

OK, thanks!
Posted by don_eros on Jan 23, 2013
  

Updating Cake

Hi there,

I'm just starting out with Cake and I have a rather basic question: how do I update to the latest version of the framework?

I started my toy project a few weeks ago with version 2.4 and now version 2.5 is out, is there a way to update the application using the Netbeans plugin or do I have to do it manually?

I'm about to start a rather large project so I need to know that the plugin is reliable before committing to using it.

Thanks,
DE

PS: the latest version of the plugin 0.6.19 doesn't appear in Netbeans 7.2.1, so I'm still using 0.6.18
Posted by don_eros on Jan 23, 2013
  

No app folder

Hi, first of all, congrats and thank you man! awesome work.
I've using cakephp for many years, and I've been waiting for something like this.

I've installed, but my problem is that I do not use an app folder, I've installed cake (libs) on a shared folder (/usr/shared/cakephp/2.2/lib/Cake) and then I setup my cake apps to find it there, so I don't have an "app" folder, the project source itself is that. So, my question is, is there a chance to use this plugin on a already created project with this layout?

Thank you very much in advance.
Posted by xavier83ar on Jan 11, 2013
  

RE: 7.3 beta2 support

Great news. I look forward NB7.3RC arrives. Thank you very much for your work.
Posted by jsartti on Dec 12, 2012
  

webroot as "shortcut"

First off let me say... awesome plugin! I use it everyday at work.

Would it be possible to add the app/webroot folder as a shortcut like you have with the Controller, Model, etc... ?

I do a lot of work with CSS/js files that are stored in there.

Thanks and keep up the excellent work!
Posted by jwhowar1 on Dec 11, 2012
  

7.3 beta2 support

Is it possible to make a version compatible with NetBeans 7.3 Beta2?
From already thank you very much
Posted by jsartti on Nov 30, 2012
  

RE: add plugin not working

thank you..you deserve to get many thanks..I will wait..many thanks..
Posted by thehanx on Nov 18, 2012
  

add plugin not working

one more thing, in add plugin for cakephp I think now github url is changed.. not https://github.com///zipball/master anymore but something like https://github.com/creator/repo/archive/master.zip, and unfortunately import from .zip is not working.. (I'm trying to import this : https://github.com/markstory/acl_extras/archive/master.zip)..
Posted by thehanx on Nov 18, 2012
  

Solved

so the problem is that I have to make my netbeans up to date.. apply all possible updates.. and then install the plugin.and solved now, the plugin works. @junichi11 thanks for your response..
Posted by thehanx on Nov 18, 2012
  

RE: error

yes it's version 0.6.11 in netbeans plugin manager (Tools>Plugin), and I install it through plugin manager, not using .nbm file..
Posted by thehanx on Nov 17, 2012
  

error

Ok..I reinstalling the netbeans+plugin+confirm permission and got this:


Warning - could not install some modules: Editor Formatting Prior 6.5 Separation - The module Editor Library 2 was requested in implementation version "31" but only "32" was found. Editor Formatting Prior 6.5 Separation - The module Editor Library was requested in implementation version "19" but only "20" was found. Tags Based Editors Library - The module named org.netbeans.modules.editor.deprecated.pre65formatting/0-1 was needed and not found. Editor Macros - The module Editor Library was requested in implementation version "19" but only "20" was found. XML Text Editor - The module named org.netbeans.modules.editor.deprecated.pre65formatting/0-1 was needed and not found. IDE Platform - The module named org.netbeans.modules.editor.macros/0-1 was needed and not found. 14 further modules could not be installed due to the above problems.


It seems like there are some conflict among plugins.. plugin version mismatch or else..
Posted by thehanx on Nov 17, 2012
  

RE: nb version

ok i'll try that and report later..
Posted by thehanx on Nov 17, 2012
  

nb version

I'm installing netbeans as administrator..doesn't it should have full access to netbeans folder?
my netbeans version : NetBeans IDE 7.2 (Build 201207171143)
Posted by thehanx on Nov 17, 2012
  

error

no the message is only show after I install the plugin. I've 4-5 times reinstalling my netbeans..and completely delete my netbeans folder. but it's always the same situation..
Posted by thehanx on Nov 17, 2012
  

sorry

this is my environment:
netbeans 7.2
plugin version 0.6.11
windows 7
jdk 1.6.0.30

is that all?
Posted by thehanx on Nov 17, 2012
  

Error in Netbeans

I got this after installing plugin:

Warning - could not install some modules: Java Profiler (Common) - None of the modules providing the capability org.netbeans.lib.profiler.common.Profiler could be installed. Java Source Queries - None of the modules providing the capability org.netbeans.modules.java.source.queries.spi.QueriesController could be installed. Editor Library 2 - None of the modules providing the capability org.netbeans.modules.editor.actions could be installed. Preprocessor Bridge - None of the modules providing the capability org.netbeans.modules.java.preprocessorbridge.spi.JavaSourceUtilImpl could be installed. Tags Based Editors Library - The module named org.netbeans.modules.editor.deprecated.pre65formatting/0-1 was needed and not found. Editor Code Templates - The module named org.netbeans.spi.editor.hints/0-1 was needed and not found. Freeform Ant Projects - The module named org.netbeans.modules.editor.indent.project/0-1 was needed and not found. Java Editor Library - The module named org.netbeans.modules.editor.deprecated.pre65formatting/0-1 was needed and not found. Extensible Abstract Model (XAM) - None of the modules providing the capability org.netbeans.modules.xml.xam.spi.DocumentModelAccessProvider could be installed. Extensible Abstract Model (XAM) - None of the modules providing the capability org.netbeans.modules.xml.xam.spi.ModelAccessProvider could be installed. Static Analysis Core - The module named org.netbeans.spi.editor.hints/0-1 was needed and not found. Java Source - The module named org.netbeans.modules.editor.indent.project/0-1 was needed and not found. Java Hints SPI - The module named org.netbeans.spi.editor.hints/0-1 was needed and not found. Legacy Java Hints SPI - The module named org.netbeans.spi.editor.hints/0-1 was needed and not found. JPDA Debugger - None of the modules providing the capability org.netbeans.spi.debugger.jpda.EditorContext could be installed. JPDA Debugger - None of the modules providing the capability org.netbeans.spi.debugger.jpda.SourcePathProvider could be installed. JPDA Debugger UI - None of the modules providing the capability org.netbeans.api.debugger.jpda.JPDADebuggerEngineImpl could be installed. JPDA Debugger UI - None of the modules providing the capability org.netbeans.spi.debugger.ui could be installed. Java Refactoring - The module named org.netbeans.spi.editor.hints/0-1 was needed and not found. Eclipse Project Importer - The module named org.netbeans.modules.java.api.common/0-1 was needed and not found. Java Hints UI - The module named org.netbeans.modules.code.analysis/0-1 was needed and not found. Java Hints UI - The module named org.netbeans.spi.editor.hints/0-1 was needed and not found. Java Editor - The module named org.netbeans.modules.editor.bracesmatching/0-1 was needed and not found. Java Editor - The module named org.netbeans.spi.editor.hints/0-1 was needed and not found. Java Editor - The module named org.netbeans.modules.editor.deprecated.pre65formatting/0-1 was needed and not found. Javadoc - The module named org.netbeans.modules.editor.bracesmatching/0-1 was needed and not found. Javadoc - The module named org.netbeans.spi.editor.hints/0-1 was needed and not found. Maven TestNG Support - The module named org.netbeans.modules.maven/1-2 was needed and not found. Java SE Projects - The module named org.netbeans.modules.java.api.common/0-1 was needed and not found. JavaFX 2 Project - The module named org.netbeans.modules.java.api.common/0-1 was needed and not found. Java Hints - The module named org.netbeans.spi.editor.hints/0-1 was needed and not found. Java Declarative Hints - The module named org.netbeans.spi.editor.hints/0-1 was needed and not found. Common Scripting Language API (new) - The module named org.netbeans.spi.editor.hints/0-1 was needed and not found. SQL Editor - The module named org.netbeans.modules.editor.bracesmatching/0-1 was needed and not found. PHP Project - The module named org.netbeans.modules.editor.indent.project/0-1 was needed and not found. XML Text Editor - The module named org.netbeans.modules.editor.bracesmatching/0-1 was needed and not found. XML Text Editor - The module named org.netbeans.modules.editor.deprecated.pre65formatting/0-1 was needed and not found. Java Persistence API Support - The module named org.netbeans.modules.j2ee.core.utilities/0-1 was needed and not found. JPA Verification - The module named org.netbeans.modules.j2ee.core.utilities/0-1 was needed and not found. JPA Verification - The module named org.netbeans.spi.editor.hints/0-1 was needed and not found. JPA Refactoring - The module named org.netbeans.modules.j2ee.core.utilities/0-1 was needed and not found. PHP Editor - The module named org.netbeans.modules.editor.bracesmatching/0-1 was needed and not found. CSS Editor - The module named org.netbeans.modules.editor.bracesmatching/0-1 was needed and not found. HTML Editor - The module named org.netbeans.modules.editor.bracesmatching/0-1 was needed and not found. JavaScript Editing - The module named org.netbeans.modules.editor.bracesmatching/0-1 was needed and not found. JavaScript Hints - The module named org.netbeans.spi.editor.hints/0-1 was needed and not found. Editing Files - The module named org.netbeans.modules.editor.bracesmatching/0-1 was needed and not found. IDE Platform - The module named org.netbeans.modules.editor.macros/0-1 was needed and not found. Java Visual Debugger - None of the modules providing the capability org.netbeans.modules.debugger.jpda.ui could be installed. GUI Builder - The module named org.netbeans.modules.form.binding/0-1 was needed and not found. GUI Builder - The module named org.netbeans.modules.form.refactoring/0-1 was needed and not found. GUI Builder - The module named org.netbeans.modules.form.nb/0-1 was needed and not found. Spring Beans - The module named org.netbeans.modules.j2ee.core.utilities/0-1 was needed and not found. Hibernate - The module named org.netbeans.modules.j2ee.core.utilities/0-1 was needed and not found. 190 further modules could not be installed due to the above problems.


don't know what happen.. please fix..
Posted by thehanx on Nov 17, 2012
  

RE: Which NetBeans is required?

I think I figured it out. According to the folders diagram at github, each project is supposed to have a copy of the CakePHP lib folder inside it and the project is named 'app'. That may be a common configuration, but I have multiple projects running in the same CakePHP folder (app1, app2, etc... in the same folder as lib). The only way I would be able to get the plugin to work would be to create 1 project for my cake folder, which means it would include all the apps in that folder plus the cake lib. That kind of defeats the purpose of having separate projects in NetBeans so probably it is not what I want to do. I also don't want to have a copy of CakePHP for each project, not only is it redundant but then the startup scanning in NetBeans would take a long time.

Would it be possible to allow two different configuration paths, one to the CakePHP lib folder and one to the app folder? So project1 could be for app1, project2 for app2, and both of those folders are in the same folder as lib?
Posted by vz28bh on Nov 16, 2012
  

RE: Which NetBeans is required?

Sorry, I did overlook the little shield on the project that is just for the CakePHP lib folder. Deleting and recreating that project shows that it is always recognized as a CakePHP project and the right click menus for the plugin are available. However, creating a project for any app folder inside the CakePHP folder (or any other version of CakePHP) is never recognized by the plugin. I've tried various app folder names: app, cakephp-2.1.2-app, etc... nothing works. So the plugin works, it just doesn't think my projects are for CakePHP.
Posted by vz28bh on Nov 16, 2012
  

RE: Which NetBeans is required?

Yes I created a project from source as normal but saw nothing that would indicate the plugin was doing anything. I set the CakePHP path in the properties and then made a few tests. Right clicking a controller function showed no option to go to the view. Ctrl-clicking the name of an element in $this->element('myelement') didn't open the element file. I'll start with a virgin app and see if that makes a difference.

Thanks for the quick reply.
Posted by vz28bh on Nov 16, 2012
  

Which NetBeans is required?

I have the PHP IDE version of NetBeans 7.2 and have installed the plugin successfully (it is shown as enabled in the plugins list and appears in the project properties). However, nowhere do I see a place to select the framework as shown in the picture on this page. When creating a new IDE there is no step 4, just 1,2, and 3...so obviously something is missing. Is there a dependent plugin I need?
Posted by vz28bh on Nov 16, 2012
  

Run Cake Command

Hi junichi11
Yes, you're right, I was missing the path to 'php' in the setup.
Thanks for the reply. :o)
Posted by ECM on Nov 12, 2012
  

Run Cake Command

J have installed the plugin but J get no commands in the
Matching Task list
There is a message:
"There is no command aviable (perhaps error)

Wath have J done wrong? J have seen the good videos, but it gives me no solution.

I'm excited to try this plugin.
Posted by ECM on Nov 08, 2012
  

Awesome Plugin for CakePHP

Thanks for developing this plugin.
Posted by samarsoft on Oct 21, 2012
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo